var $AdfCheckpoint$$ = window.AdfCheckpoint, $_needsPStub$$ = void 0 == $AdfCheckpoint$$;
function $newFunc$$() {
}
$goog$exportSymbol$$("newFunc", $newFunc$$);
$AdfCheckpoint$$ = $_needsPStub$$ ? $newFunc$$ : $AdfCheckpoint$$;
$AdfCheckpoint$$.prototype.setDescription = $_needsPStub$$ ? function() {
} : $AdfCheckpoint$$.prototype.setDescription;
$AdfCheckpoint$$.prototype.getDescription = $_needsPStub$$ ? function() {
} : $AdfCheckpoint$$.prototype.getDescription;
$AdfCheckpoint$$.prototype.start = $_needsPStub$$ ? function() {
} : $AdfCheckpoint$$.prototype.start;
$AdfCheckpoint$$.prototype.stop = $_needsPStub$$ ? function() {
} : $AdfCheckpoint$$.prototype.stop;
$AdfCheckpoint$$.$getCheckpoint$ = $_needsPStub$$ ? function($id$$199$$, $group$$10$$) {
  return new $AdfCheckpoint$$($id$$199$$, $group$$10$$);
} : $AdfCheckpoint$$.getCheckpoint;
$goog$exportSymbol$$("AdfCheckpoint.getCheckpoint", $AdfCheckpoint$$.$getCheckpoint$);
$goog$exportSymbol$$("AdfCheckpoint.getCheckpoint", $AdfCheckpoint$$.$getCheckpoint$);
